/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-01-18
 * 描述            ：材质标准取样要求表(取样码索引号关联)
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Qms.metallurgy.vo;
import java.io.Serializable;
import java.util.Date;

import market.Qms.metallurgy.mapper.ComMscPhySampleMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="COM_MSC_PHY_SAMPLE", namespace=ComMscPhySampleMapper.class)
public class ComMscPhySample extends BaseVO implements Serializable {
	
	/** 标准代码 */
	private String stdCode;
	
	/** 标准名称 */
	private String stdName;
	
	/** 产品代码 */
	private String proCode;
	
	/** 产品名称 */
	private String proName;
	
	/** 牌号代码 */
	private String steelCode;
	
	/** 牌号名称 */
	private String steelName;
	
	/** 取样频率 */
	private String rate;
	
	/** 取样频率描述 */
	private String desc_rate;
	
	/** 取样数量 */
	private Integer desc_count;
	
	/** 取样位置 */
	private String position;
	
	/** 取样位置描述 */
	private String desc_position;
	
	/** 宽度下限 */
	private String min_d;
	
	/** 宽度上限 */
	private String max_d;
	
	/** 适用厚度（厚度下限） */
	private String min_h;
	
	/**  适用厚度（厚度上限） */
	private String max_h;
	
	/**  适用厚度（外径上限） */
	private String min_h_sign;
	
	/**  适用厚度（厚度上限符号） */
	private String max_h_sign;
	
	/** 适用宽度（外径下限符号） */
	private String min_d_sign;
	
	/** 适用宽度（外径上限符号） */
	private String max_d_sign;
	
	private Integer sample_count;

	public String getProCode() {
		return proCode;
	}
	public void setProCode(String proCode) {
		this.proCode = proCode;
	}
	public String getProName() {
		return proName;
	}
	public void setProName(String proName) {
		this.proName = proName;
	}
	public String getSteelCode() {
		return steelCode;
	}
	public void setSteelCode(String steelCode) {
		this.steelCode = steelCode;
	}
	public String getSteelName() {
		return steelName;
	}
	public void setSteelName(String steelName) {
		this.steelName = steelName;
	}
	public String getStdCode() {
		return stdCode;
	}
	public void setStdCode(String stdCode) {
		this.stdCode = stdCode;
	}
	public String getStdName() {
		return stdName;
	}
	public void setStdName(String stdName) {
		this.stdName = stdName;
	}
	public String getRate() {
		return rate;
	}
	public void setRate(String rate) {
		this.rate = rate;
	}

	public String getPosition() {
		return position;
	}
	public void setPosition(String position) {
		this.position = position;
	}

	public String getDesc_rate() {
		return desc_rate;
	}
	public void setDesc_rate(String desc_rate) {
		this.desc_rate = desc_rate;
	}
	public Integer getDesc_count() {
		return desc_count;
	}
	public void setDesc_count(Integer desc_count) {
		this.desc_count = desc_count;
	}
	public String getDesc_position() {
		return desc_position;
	}
	public void setDesc_position(String desc_position) {
		this.desc_position = desc_position;
	}
	public String getMin_d() {
		return min_d;
	}
	public void setMin_d(String min_d) {
		this.min_d = min_d;
	}
	public String getMax_d() {
		return max_d;
	}
	public void setMax_d(String max_d) {
		this.max_d = max_d;
	}
	public String getMin_h() {
		return min_h;
	}
	public void setMin_h(String min_h) {
		this.min_h = min_h;
	}
	public String getMax_h() {
		return max_h;
	}
	public void setMax_h(String max_h) {
		this.max_h = max_h;
	}
	public String getMin_h_sign() {
		return min_h_sign;
	}
	public void setMin_h_sign(String min_h_sign) {
		this.min_h_sign = min_h_sign;
	}
	public String getMax_h_sign() {
		return max_h_sign;
	}
	public void setMax_h_sign(String max_h_sign) {
		this.max_h_sign = max_h_sign;
	}
	public String getMin_d_sign() {
		return min_d_sign;
	}
	public void setMin_d_sign(String min_d_sign) {
		this.min_d_sign = min_d_sign;
	}
	public String getMax_d_sign() {
		return max_d_sign;
	}
	public void setMax_d_sign(String max_d_sign) {
		this.max_d_sign = max_d_sign;
	}


	private String design_key;
	
	public String getDesign_key() {
		return design_key;
	}
	public void setDesign_key(String design_key) {
		this.design_key = design_key;
	}

	

	public Integer getSample_count() {
		return sample_count;
	}
	public void setSample_count(Integer sampleCount) {
		this.sample_count = sampleCount;
	}

	/** 
	 * 材质标准索引号
	 */ 
	@Id
	private String pic;
	public String  getPic() {
		return this.pic;
	}
	public void setPic(String pic) {
		this.pic = pic;
	}

	/** 
	 * 试样组代码
	 */ 
	@Id
	private String phy_code_m;
	public String  getPhy_code_m() {
		return this.phy_code_m;
	}
	public void setPhy_code_m(String phy_code_m) {
		this.phy_code_m = phy_code_m;
	}

	/** 
	 * 试样组描述
	 */ 
	@Column
	private String phy_name_m;
	public String  getPhy_name_m() {
		return this.phy_name_m;
	}
	public void setPhy_name_m(String phy_name_m) {
		this.phy_name_m = phy_name_m;
	}

	/** 
	 * 取样码索引号
	 */ 
	@Id
	private String smp_index;
	public String  getSmp_index() {
		return this.smp_index;
	}
	public void setSmp_index(String smp_index) {
		this.smp_index = smp_index;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_name;
	public String  getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date  getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_name;
	public String  getUpdate_name() {
		return this.update_name;
	}
	public void setUpdate_name(String update_name) {
		this.update_name = update_name;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date  getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	/** 
	 * 删除人
	 */ 
	@Column
	private String delete_name;
	public String  getDelete_name() {
		return this.delete_name;
	}
	public void setDelete_name(String delete_name) {
		this.delete_name = delete_name;
	}

	/** 
	 * 删除时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date delete_time;
	public Date  getDelete_time() {
		return this.delete_time;
	}
	public void setDelete_time(Date delete_time) {
		this.delete_time = delete_time;
	}

	/** 
	 * 有效标志(1:有效，0:无效)
	 */ 
	@Column
	private String validflag;
	public String  getValidflag() {
		return this.validflag;
	}
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String memo;
	public String  getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	/** 
	 * 标准代码（试验标准）
	 */ 
	@Column
	private String std_code_test;
	public String  getStd_code_test() {
		return this.std_code_test;
	}
	public void setStd_code_test(String std_code_test) {
		this.std_code_test = std_code_test;
	}

	/** 
	 * 标准名称（试验标准）
	 */ 
	@Column
	private String std_name_test;
	public String  getStd_name_test() {
		return this.std_name_test;
	}
	public void setStd_name_test(String std_name_test) {
		this.std_name_test = std_name_test;
	}

	/** 
	 * 项目代码_方向
	 */ 
	@Column
	private String item_code_d;
	public String  getItem_code_d() {
		return this.item_code_d;
	}
	public void setItem_code_d(String item_code_d) {
		this.item_code_d = item_code_d;
	}

	/** 
	 * 项目代码_尺寸
	 */ 
	@Column
	private String item_code_s;
	public String  getItem_code_s() {
		return this.item_code_s;
	}
	public void setItem_code_s(String item_code_s) {
		this.item_code_s = item_code_s;
	}

	/** 
	 * 项目代码_温度
	 */ 
	@Column
	private String item_code_t;
	public String  getItem_code_t() {
		return this.item_code_t;
	}
	public void setItem_code_t(String item_code_t) {
		this.item_code_t = item_code_t;
	}

	/** 
	 * 试样组+方向+温度+尺寸的代码组合
	 */ 
	@Id
	private String sample_key;
	public String  getSample_key() {
		return this.sample_key;
	}
	public void setSample_key(String sample_key) {
		this.sample_key = sample_key;
	}

	/** 
	 * 试样组+'('+方向+'_'+温度+'_'+尺寸+'_'+')'的组合描述
	 */ 
	@Column
	private String sample_key_desc;
	public String  getSample_key_desc() {
		return this.sample_key_desc;
	}
	public void setSample_key_desc(String sample_key_desc) {
		this.sample_key_desc = sample_key_desc;
	}

}
